Attribute VB_Name = "mdlMDB2txt"
Option Explicit
Public Enum itxArchivoInformacion
    itxNombre
    itxExtension
    itxpath
End Enum
Public Function ValidarString(ByVal Valor As Variant, Optional ValorDefecto As String = "") As String
    On Error GoTo ErrorFunction
    If IsNull(Valor) Or Trim(Valor) = "" Then
        ValidarString = ValorDefecto
        Exit Function
    End If
    ValidarString = Trim(Valor)
    Exit Function
ErrorFunction:
    MsgBox "Error: " & Err.Number & Chr(13) & "Descripcion: " & Err.Description, vbCritical, "VB6IOS.ValidarString"
End Function
Public Function ArchivoInformacion(Archivo As String, TipoInformacion As itxArchivoInformacion) As String
    ' Con \ devuelve el nombre del archivo completo
     On Error Resume Next
     Dim ind As Integer
     Dim strNombre As String
     Dim strExtension As String
     Dim strPath As String
     For ind = Len(Archivo) To 0 Step -1
        If Mid(Archivo, ind, 1) = "." Then Exit For
     Next
     strNombre = Left(Archivo, ind - 1)
     strExtension = Right(Archivo, (Len(Archivo) - ind))
     ' Determina el Path sin el nombre del archivo
     For ind = Len(Archivo) To 0 Step -1
        If Mid(Archivo, ind, 1) = "\" Or Mid(Archivo, ind, 1) = "/" Then Exit For
     Next
     strPath = Left(Archivo, ind - 1)
     Select Case TipoInformacion
        Case itxExtension: ArchivoInformacion = strExtension
        Case itxNombre: ArchivoInformacion = strNombre
        Case itxpath: ArchivoInformacion = strPath
    End Select
End Function

