VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmMDB2txt 
   Caption         =   "Convertir MDB a texto"
   ClientHeight    =   3360
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7020
   Icon            =   "frmMDB2txt.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3360
   ScaleWidth      =   7020
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdConvertir 
      Caption         =   "Convertir a Texto"
      Height          =   435
      Left            =   4830
      TabIndex        =   3
      Top             =   2700
      Width           =   1530
   End
   Begin VB.CommandButton cmdCancelar 
      Caption         =   "&Cancelar"
      Height          =   435
      Left            =   3480
      TabIndex        =   2
      Top             =   2700
      Width           =   1290
   End
   Begin VB.TextBox txtMDB2txt 
      BackColor       =   &H80000004&
      Height          =   315
      Left            =   300
      TabIndex        =   1
      Top             =   600
      Width           =   5655
   End
   Begin VB.CommandButton cmdMDB2txt 
      Height          =   375
      Left            =   6000
      Picture         =   "frmMDB2txt.frx":12FA
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   600
      Width           =   375
   End
   Begin MSComDlg.CommonDialog cdgMDB2txt 
      Left            =   5940
      Top             =   60
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label1 
      Caption         =   $"frmMDB2txt.frx":1444
      Height          =   675
      Left            =   360
      TabIndex        =   6
      Top             =   1080
      Width           =   5955
   End
   Begin VB.Label lblMDB2txt 
      Alignment       =   1  'Right Justify
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   1980
      Width           =   5955
   End
   Begin VB.Label Label4 
      Caption         =   "Base de Datos a convertir:"
      Height          =   255
      Left            =   300
      TabIndex        =   4
      Top             =   360
      Width           =   2475
   End
End
Attribute VB_Name = "frmMDB2txt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    Dim app  As Access.Application
    Dim dbs  As DAO.Database
    Dim tdf  As DAO.TableDef
    Dim strMDB2txt  As String
    Dim strSQL      As String
    Dim strFolderOutput As String
    Dim fso         As FileSystemObject

Private Sub Form_Load()
    'Me.Width = 6500
    'Me.Height = 3300
End Sub
Private Sub cmdMDB2txt_Click()
    cdgMDB2txt.DefaultExt = "mdb"
    cdgMDB2txt.ShowOpen
    strMDB2txt = ValidarString(cdgMDB2txt.FileName)
    If strMDB2txt <> "" Then
        txtMDB2txt = strMDB2txt
      Else
        txtMDB2txt = ""
    End If
End Sub
Private Sub cmdCancelar_Click()
    Unload Me
End Sub
Private Sub cmdConvertir_Click()
' Inicio de Proceso
    lblMDB2txt.Caption = "Iniciando proceso ..."
    Set app = New Access.Application
    app.OpenCurrentDatabase strMDB2txt
    Set fso = New FileSystemObject
    Set dbs = OpenDatabase(strMDB2txt)
    strFolderOutput = ArchivoInformacion(strMDB2txt, itxpath) & "\" & Mid(Dir(strMDB2txt), 1, (Len(Dir(strMDB2txt)) - 4))
    If fso.FolderExists(strFolderOutput) = False Then
        fso.CreateFolder strFolderOutput
    End If
' Procesar las Tablas
    For Each tdf In dbs.TableDefs
        GoSub ExportarTabla
    Next
' Cerrar Bases de Datos
    dbs.Close
    Set app = Nothing
    Set fso = Nothing
' Fin de Proceso
    MsgBox "Proceso Finalizado", vbInformation, "Convertir MDB a Texto"
    txtMDB2txt = ""
    lblMDB2txt.Caption = ""
    Exit Sub
ExportarTabla:
    If tdf.Attributes = dbAttachedTable Then Return
    If LCase(Left(tdf.Name, 4)) = "msys" Then Return
    lblMDB2txt.Caption = "Convirtiendo " & tdf.Name
    app.DoCmd.TransferText acExportDelim, "", tdf.Name, strFolderOutput & "\" & tdf.Name & ".csv"
    'app.DoCmd.OutputTo acOutputTable, tdf.Name, acFormatTXT, strFolderOutput & "\" & tdf.Name & ".txt"
    Me.Refresh
    Return
End Sub

